{% extends 'layouts/base.html.twig' %}

{% block title 'registration for ' ~ event.name %}

{% block body %}
	<h1 class="my-5 text-center">Who is registed for
		{{event.name}}</h1>

	{% if registrations is not empty %}

		<table class="table">
			<thead>
				<tr>
					<th scope="col">Name</th>
					<th scope="col">Email</th>
					<th scope="col">How heard</th>
				</tr>5px
			</thead>
			<tbody>
				{% for registration in registrations %}
					<tr>
						<td>{{registration.name}}</td>
						<td>
							<a href="mailto:{{registration.email}}">{{registration.email}}</a>
						</td>
						<td>@{{registration.howHeard}}</td>
					</tr>
				{% endfor %}

			</tbody>
		</table>

		<div class="d-grid position-relative">
			{{ register_link_or_solde_out(event)}}
		</div>

	{% else %}
		<div class="my-5 text-center">
			<h3>No registrations yet.</h3>
			<a href="{{path('app_registration_create', {'id':event.id}) }}">
				<h2>Be the first one !</h2>
			</a>
		</div>
	{% endif %}
{% endblock %}
